Update a video stream
Update the stream title, description, tags, or interactive engagement configuration.
PATCH
/
api
/
video
/
streams
/
{id}
Update a video stream
curl --request PATCH \
--url https://convertly.sh/api/video/streams/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"engagement": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>', tags: ['<string>'], engagement: {}})
};
fetch('https://convertly.sh/api/video/streams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"stream": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbackId": "<string>",
"profile": "<string>",
"videoCodec": "h264",
"duration": 123,
"width": 123,
"height": 123,
"manifestUrl": "<string>",
"posterUrl": "<string>",
"renditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 123,
"height": 123,
"bitrate": 123,
"averageBitrate": 123,
"codec": "h264",
"audioCodec": "aac",
"segmentCount": 123
}
],
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"packageFormats": [],
"hlsManifestUrl": "<string>",
"dashManifestUrl": "<string>",
"tokenTtlSeconds": 123,
"allowedDomains": [
"<string>"
],
"captions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"language": "<string>",
"url": "<string>"
}
],
"analytics": {
"events": 123,
"plays": 123
}
}
}{
"error": "<string>",
"upgradeUrl": "<string>"
}{
"error": "<string>",
"upgradeUrl": "<string>"
}{
"error": "<string>",
"upgradeUrl": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Dashboard-generated Convertly API key. Keys currently begin with cvly_.
Path Parameters
Body
application/json
Response
Updated video stream
Show child attributes
Show child attributes
⌘I
Update a video stream
curl --request PATCH \
--url https://convertly.sh/api/video/streams/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"engagement": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>', tags: ['<string>'], engagement: {}})
};
fetch('https://convertly.sh/api/video/streams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"stream": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbackId": "<string>",
"profile": "<string>",
"videoCodec": "h264",
"duration": 123,
"width": 123,
"height": 123,
"manifestUrl": "<string>",
"posterUrl": "<string>",
"renditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 123,
"height": 123,
"bitrate": 123,
"averageBitrate": 123,
"codec": "h264",
"audioCodec": "aac",
"segmentCount": 123
}
],
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"packageFormats": [],
"hlsManifestUrl": "<string>",
"dashManifestUrl": "<string>",
"tokenTtlSeconds": 123,
"allowedDomains": [
"<string>"
],
"captions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"language": "<string>",
"url": "<string>"
}
],
"analytics": {
"events": 123,
"plays": 123
}
}
}{
"error": "<string>",
"upgradeUrl": "<string>"
}{
"error": "<string>",
"upgradeUrl": "<string>"
}{
"error": "<string>",
"upgradeUrl": "<string>"
}